<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mtransaksi extends CI_Model
{

    public $table = 'tb_transaksi';
    public $table_baru = 'tb_transaksi_dept';
    public $id = 'kd_trx';
    public $id_baru = 'id';
    public $tgl_transaksi = 'tgl_transaksi';
    public $order = 'DESC';
    public $date_file = 'date_file';

    function __construct()
    {
        parent::__construct();
        $this->db2 = $this->load->database('simoni', TRUE);
    }


    function getdatabynow($tgl,$npwpd)
    {

        if($nama_wp!='all'){
            $this->db2->where("npwpd","$npwpd");
        }

        $this->db2->where("DATE(tgl_transaksi)","$tgl");   

        $this->db2->order_by($this->tgl_transaksi, $this->order);
        return $this->db2->get($this->table_baru)->result();
    }

    function getdata($bln, $thn, $npwpd)
    {
        $wh = "AND npwpd='".$npwpd."'";

        return $this->db2->query("SELECT DATE_FORMAT(a.tgl,'%d') tgl,IFNULL(omset,0) omset FROM (SELECT * FROM
(SELECT ADDDATE('1970-01-01',t4.i*10000 + t3.i*1000 + t2.i*100 + t1.i*10 + t0.i) tgl FROM
(SELECT 0 i UNION SELECT 1 UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9) t0,
(SELECT 0 i UNION SELECT 1 UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9) t1,
(SELECT 0 i UNION SELECT 1 UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9) t2,
(SELECT 0 i UNION SELECT 1 UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9) t3,
(SELECT 0 i UNION SELECT 1 UNION SELECT 2 UNION SELECT 3 UNION SELECT 4 UNION SELECT 5 UNION SELECT 6 UNION SELECT 7 UNION SELECT 8 UNION SELECT 9) t4) v
WHERE MONTH(tgl) = '$bln' AND YEAR(tgl) = '$thn') a LEFT JOIN (
SELECT DATE(tgl_transaksi) tgl, SUM(jumlah) AS omset FROM tb_transaksi_dept
WHERE MONTH(tgl_transaksi) = '$bln' AND YEAR(tgl_transaksi) = '$thn' $wh GROUP BY DATE(tgl_transaksi))b ON a.tgl=b.tgl")->result();
    }

}

/* End of file Mtransaksi.php */
/* Location: ./application/models/Mtransaksi.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-12-12 08:37:45 */
/* http://harviacode.com */